Skip to main content
POST
/
api
/
contacts
/
status
Get contacts for one status
curl --request POST \
  --url https://your-instance.example.com/api/contacts/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "<string>",
  "pipelineId": "<string>",
  "page": 123,
  "size": 123,
  "search": "<string>",
  "showUnreadOnly": true,
  "ownerFilter": "<string>",
  "bulkOnly": true,
  "showUnresolvedOnly": true
}
'
{
  "data": [
    {
      "_id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "phoneNumber": "<string>",
      "email": "<string>",
      "status": "<string>",
      "pipelineId": "<string>",
      "pipelineStage": "<string>",
      "organizationId": "<string>",
      "userId": "<string>",
      "createdBy": "<string>",
      "assignees": [
        "<unknown>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "status": "<string>",
  "pipelineStage": "<string>",
  "stageIdByName": {},
  "stageNameById": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
status
string
required
pipelineId
string
page
integer
size
integer
showUnreadOnly
boolean
ownerFilter
string
bulkOnly
boolean
showUnresolvedOnly
boolean

Response

Contacts returned

data
object[]
total
integer
status
string
pipelineStage
string
stageIdByName
object
stageNameById
object